[viirb] wait until it comes online

This commit is contained in:
Nico Schottelius 2020-08-01 16:21:33 +02:00
parent e0a313c709
commit 7bbac98e3b

View file

@ -33,11 +33,10 @@ fi
# don't care about other/old known_host entries # don't care about other/old known_host entries
ssh-keygen -R ${viirb_ip} ssh-keygen -R ${viirb_ip}
ping -c2 ${viirb_ip} while ! ping -c1 ${viirb_ip}; do
if [ $? -ne 0 ]; then echo "Cannot ping $viirb_ip yet - waiting"
echo "Cannot reach any VIIRB - exiting" sleep 1
exit 1 done
fi
cat ~/.ssh/id_rsa.pub | ssh root@${viirb_ip} "cat > /etc/dropbear/authorized_keys" cat ~/.ssh/id_rsa.pub | ssh root@${viirb_ip} "cat > /etc/dropbear/authorized_keys"